<h2 class="ServicesTitle"> <img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_timecorrection.png">Time Correction </h2>
<div class="row justify-content-center">
    <div class="col-sm-6">
        <div class="card formFieldsBlock">
            <div class="col-sm-12">
                <form [formGroup]="timecorrecForm" (ngSubmit)="onSubmit($event)" #formEl="ngForm">
                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field appearance="standard">
                                <mat-label>Date Worked</mat-label>

                                <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="DateWorked" required>
                                <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                                <mat-datepicker #picker1></mat-datepicker>
                                <mat-error *ngIf="timecorrecForm.controls['DateWorked'].errors?.required &&
                  timecorrecForm.controls['DateWorked'].touched">
                                    Please Select Date Worked.
                                </mat-error>
                            </mat-form-field>
                        </div>



                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Time IN</mat-label>
                                <div class="toggle-example d-flex">
                                    <input [ngxTimepicker]="toggleTimepicker" matInput [disableClick]="true" formControlName="TimeIn" required readonly>
                                    <ngx-material-timepicker-toggle [for]="toggleTimepicker"></ngx-material-timepicker-toggle>
                                    <ngx-material-timepicker #toggleTimepicker></ngx-material-timepicker>
                                </div>
                                <mat-error *ngIf="timecorrecForm.controls['TimeIn'].errors?.required &&
                  timecorrecForm.controls['TimeIn'].touched">
                                    Please Select IN Time IN.
                                </mat-error>
                            </mat-form-field>
                        </div>

                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Time OUT</mat-label>
                                <div class="toggle-example d-flex">
                                    <input [ngxTimepicker]="toggleTimepicker2" matInput [disableClick]="true" formControlName="TimeOut" required readonly>
                                    <ngx-material-timepicker-toggle [for]="toggleTimepicker2"></ngx-material-timepicker-toggle>
                                    <ngx-material-timepicker #toggleTimepicker2></ngx-material-timepicker>

                                </div>
                                <mat-error *ngIf="timecorrecForm.controls['TimeOut'].errors?.required &&
                        timecorrecForm.controls['TimeOut'].touched">
                                    Please Select OUT Time .
                                </mat-error>
                            </mat-form-field>
                        </div>



                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Notes</mat-label>
                                <textarea matInput maxlength="150" formControlName="Notes" required></textarea>
                                <mat-error *ngIf="timecorrecForm.controls['Notes'].errors?.required &&
                  timecorrecForm.controls['Notes'].touched">
                                    Please Enter Notes.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div> <br>
                    <div class="text-center">
                        <button mat-raised-button [disabled]="!timecorrecForm.valid" class="submit-btn"> Submit</button>
                        <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>